Bug 727791 - [VDSM] - vdsClient error on RHEL6 & RHEL5.7 on command getVmsInfo
[VDSM] - vdsClient error on RHEL6 & RHEL5.7 on command getVmsInfo
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Zhu Bo
virt
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 05:03 EDT by David Botzer
Modified: 2014-01-13 19:00 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 04:55:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL6 - VDSM86 (1.37 MB, application/x-gzip)
2011-08-03 05:03 EDT, David Botzer
no flags Details
RHEL5.7-VDSM63.25 (910.87 KB, application/x-gzip)
2011-08-03 05:04 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2011-08-03 05:03:21 EDT
Created attachment 516462 [details]
RHEL6 - VDSM86

Description of problem:
vdsClient command give wrong output on Host RHEL6, and Error on host RHEL5.7
for command getVmsInfo

Version-Release number of selected component (if applicable):
IC135
RHEL5.7 - vdsm22-4.5-63.25.el5_6
RHEL6.1 - vdsm-4.9-86.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.On a RHEL6 or RHEL5.7 Host run command
2.RHEL6 - vdsClient -s 0 getVmsInfo   <for any VM> 
3.RHEL5.7 for a paused VM (with storage problem)
          vdsClient -s 0 getVmsInfo
  
Actual results:
RHEL6 gives error - Storage domain does not exist
RHEL5.7 gives error - Traceback (most recent call last):

Expected results:
should work

Additional info:

RHEL6 Host -->
vdsClient -s 0 getVmsInfo 1b5da430-a9df-498c-808b-a6714b03a9d0
Storage domain does not exist: ('00000000-0000-0000-0000-000000000000',)
--------------------------------------------------------------------
RHEL5.7 Host
vdsClient -s 0 getVmsInfo 5d867194-1341-4271-8cdc-f7b0c1ce8326
Traceback (most recent call last):
  File "/usr/share/vdsm/vdsClient.py", line 1960, in ?
    code, message = commands[command][0](commandArgs)
  File "/usr/share/vdsm/vdsClient.py", line 1244, in do_getVmsInfo
    for entry in list['vmlist']:
KeyError: 'vmlist'
Comment 1 David Botzer 2011-08-03 05:04:46 EDT
Created attachment 516463 [details]
RHEL5.7-VDSM63.25
Comment 3 Dan Kenigsberg 2011-08-04 16:02:57 EDT
You are not using the verb correctly. Its first parameter is the spUUID. Optional second is sdUUID. Only then, there's a comma-separated list of vmIds.

However vdsClient's help for this verb is utterly broken:

getVmsInfo
	<Import path> <Import type> <VM type>
	Return list of import candidates with their info

and well as its error response. Moving this bug to upstream, as it is not urgent for this version.
Comment 6 Itamar Heim 2013-03-12 04:55:26 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.